Page MenuHomePhabricator

LiquidThreads should use onGetNewMessagesAlert - SkinTemplateOutputPageBeforeExec hook is to be deprecated
Closed, ResolvedPublic

Description

LiquidThreads is apparently still enabled on several wikis

('enwikinews' => true, // Per T23956 -- Andrew 2009-02-09
        'enwiktionary' => true, // T25417 -- ariel 2010-16-05
        'huwiki' => true, // T24909 -- Andrew 2010-09-06
        'ptwikibooks' => true, // T26143 -- Andrew 2010-08-16
        'svwikisource' => true, // T25220 -- Andrew 2010-08-28
)

It uses the soon to be deprecated SkinTemplateOutputPageBeforeExec hook.

https://gerrit.wikimedia.org/g/mediawiki/extensions/LiquidThreads/+/a63a1fa2ed72a7f65bda3b922a9b68522911ffd8/extension.json#210

Developer notes

The hook is used to set new talk page messages.
https://gerrit.wikimedia.org/g/mediawiki/extensions/LiquidThreads/+/a63a1fa2ed72a7f65bda3b922a9b68522911ffd8/classes/Hooks.php#80

It should instead use the ''onGetNewMessagesAlert'' hook.

Event Timeline

Jdlrobson triaged this task as Medium priority.Jun 5 2020, 9:56 PM
Jdlrobson moved this task from Inbox to OKR Backlog on the User-Jdlrobson board.Jun 9 2020, 11:33 PM
Jdlrobson moved this task from OKR Backlog to Next up on the User-Jdlrobson board.Jun 9 2020, 11:42 PM

Alternatively let's decommission this T255175

Krinkle removed a subscriber: Krinkle.Jun 11 2020, 5:41 PM

Re-adding "MW-1.35-release". The reason its coming up is T60137 is targeting that release.

On the other hand, I guess we could do a silent deprecation and leave the LiquidThreads code untouched (in which case feel free to remove the tag).

Re-adding "MW-1.35-release". The reason its coming up is T60137 is targeting that release.

On the other hand, I guess we could do a silent deprecation and leave the LiquidThreads code untouched (in which case feel free to remove the tag).

I think that will just shift the technical debt with little gain. Several extensions have been fixed and only LiquidThreads remains. Probably it's better to fix LT now and hard deprecate the hook

Jdlrobson raised the priority of this task from Medium to High.Jun 13 2020, 3:50 PM

Bumping to high as this is the last remaining extension blocking deprecation of the SkinTemplateOutputPageBeforeExec hook

Ammarpad added a comment.EditedJun 14 2020, 7:42 PM

It seems we have missed another, MediaWiki-extensions-FeaturedFeeds is using it and is deployed in production. Tracked in T255380. (Search result)

Ammarpad claimed this task.Jun 14 2020, 7:42 PM

Change 605432 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/LiquidThreads@master] LiquidThreads: Use GetNewMessagesAlert hook

https://gerrit.wikimedia.org/r/605432

Change 605432 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] LiquidThreads: Use GetNewMessagesAlert hook

https://gerrit.wikimedia.org/r/605432

Ammarpad closed this task as Resolved.Jun 15 2020, 5:29 PM